# Manage what's needed to build the Tails website
class tails::website_builder () {

  ### Sanity checks

  if $::lsbdistcodename !~ /^stretch|sid$/ {
    fail('This module only supports Debian Stretch and sid.')
  }

  ### Resources

  apt::sources_list { "tails-builder-${::lsbdistcodename}.list":
    ensure => absent,
  }

  $packages = [
    'ikiwiki',
    'libyaml-perl',
    'libyaml-libyaml-perl',
    'libyaml-syck-perl',
    'perlmagick',
    'po4a',
    'ruby',
  ]

  ensure_packages($packages)

}
